# btree.cpp File Reference

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <iostream>`
`#include <assert.h>`
`#include "btree.h"`
`#include "ubixfs.h"`

Go to the source code of this file.

## Namespaces

namespace | std

## Defines

#define | VERIFY(x, y, z, n) if ((x) != (y)) { cout << "verify " << z << " failed" << endl; PrintWholeTree(); }

## Define Documentation

#define VERIFY | ( | x,
|  | y,
|  | z,
|  | n |  | ) | if ((x) != (y)) { cout << "verify " << z << " failed" << endl; PrintWholeTree(); }

Definition at line 12 of file btree.cpp.